package com.junmp.jyzb.api.exception;

import cn.hutool.core.util.StrUtil;
import com.junmp.jyzb.api.constant.JYZBConstant;
import com.junmp.v2.common.exception.IExceptionEnum;
import com.junmp.v2.common.exception.base.ServiceException;

/**
 * <pre>
 *
 * 描述：
 * 版本：1.0.0
 * 日期：2022/8/1 13:02
 * 作者：ningzp@junmp.com.cn
 * <br>修改记录
 * <br>修改日期        修改人          修改内容
 *
 * </pre>
 */
public class JYZBAppException extends ServiceException {

    public JYZBAppException(IExceptionEnum exception, Object... params) {
        super(JYZBConstant.JYZB_MODULE_NAME, exception.getCode(), StrUtil.format(exception.getMessage(), params));
    }

    public JYZBAppException(IExceptionEnum exception) {
        super(JYZBConstant.JYZB_MODULE_NAME, exception);
    }
}
